<?php
$dwd_wc_states = [
	'creating' => "Creating order",
	"wfa" => "Waiting for artwork",
	"progress" => "Processing",
	"printing" => "In production",
	"shipped" => "Shipped",
	"cancelled" => "Cancelled",
	"unknown" => "Unknown",
	"artwork-rejected" => "Artwork rejected"
];
$b = 10;
foreach ($dwd_wc_states as $state=>$label) {
	register_post_status("wc-dwd-$state", [
		'label' => "DWD: $label",
		'public' => false,
		'exclude_from_search' => false,
		'show_in_admin_all_list' => true,
		'show_in_admin_status_list' => true,
		'label_count' => _n_noop("DWD: $label (%s)", "DWD: $label (%s)", 'dwd-woocommerce')
	]);
}

add_filter('wc_order_statuses', function($order_statuses) use ($dwd_wc_states) {
	$new_statuses = [];
	foreach ($order_statuses as $key=>$status) {
		$new_statuses[$key] = $status;
		if ($key === "wc-processing") {
			foreach ($dwd_wc_states as $status=>$label) {
				$new_statuses["wc-dwd-$status"] = "DWD: $label";
			}
		}
	}
	return $new_statuses;
});